Você não está autenticado.

Anúncio

Arch Linux Brasil está precisando de sua colaboração para realizar o pagamento do domínio e do host, para colaborar, realizar doações via paypal.

Para mais informações: contato at archlinux-br.org.

#1 Redes e internet » wifi não conecta no manjaro » 02/08/2019 22:10:56

lebahevel
Respostas: 1

boa tarde!!
eu troquei de roteador recentemente, e desde que troquei, não consegui acessar a internet no manjaro, tenho dual boot com win10 e nele funciona normalmente.
mas no manjaro as redes apareciam normalmente, porém não conectava, aí eu fui nas configurações da rede, em segurança e digitei a senha.
bom, aí conectou, achei que tinha resolvido o problema mas agora ele fica com um ponto de interrogação no sinal do wifi, dizendo que tá sem internet
e quando vou pro navegador tá sem internet
bom, é isso, ainda não consegui conectar nessa nova rede, já reiniciei várias vezes, e no windows funciona normalmente
o novo roteador é um tplink archer c60
alguém pode me ajudar?
obrigado!!

#2 Re: Pacman, ABS, AUR & problemas de atualização » não foi possível satisfazer as dependências: » 19/07/2019 18:55:40

pessoal, voltei pra falar que resolvi já:

Abra como root:
/etc/pacman.conf

pode ser com o gedit, mousepad, ou qq outro editor de texto, como em:

$ sudo mousepad /etc/pacman.conf

E delete:

[archlinuxfr]
Server = http://repo.archlinux.fr/$arch

depois disso pude rodar # pacman -Syyuu e funcionou tudo perfeito

no meu caso, é porque estava em duplicata, assim:

[archlinuxfr]
SigLevel = Never
Server = http://repo.archlinux.fr/x86_64
[archlinuxfr]
SigLevel = Never
Server = http://repo.archlinux.fr/x86_64

eu deletei tudo, mas possivelmente deletando somente um já voltaria a funcionar

#3 Pacman, ABS, AUR & problemas de atualização » não foi possível satisfazer as dependências: » 18/07/2019 20:20:22

lebahevel
Respostas: 2

quando tento atualizar pelo gerenciador de pacotes ou instalar um programa dá esse erro:

falha ao preparar a transação, não foi possível satisfazer as dependências:
instalar dunst (1.4.1-1) quebra a dependência 'dunstify' requerida por update-notifier

isso tá acontecendo também no terminal:

[abel-pc abel]# pacman -Su
erro: não foi possível registrar a base de dados "archlinuxfr" (base de dados já registrada)
:: Iniciando atualização completa do sistema...
atenção: cryptsetup: local (2.1.0-1.1) é mais novo que core (2.1.0-1)
atenção: dbus: local (1.12.16-1.2) é mais novo que core (1.12.16-1)
atenção: glibc: local (2.29-3.1) é mais novo que core (2.29-3)
atenção: lib32-glibc: local (2.29-3.1) é mais novo que core (2.29-3)
atenção: os-prober: local (1.76-2) é mais novo que community (1.76-1)
atenção: procps-ng: local (3.3.15-1.2) é mais novo que core (3.3.15-1)
atenção: tlp: local (1.2.2-1.1) é mais novo que community (1.2.2-1)
resolvendo dependências...
procurando por pacotes conflitantes...
erro: falha ao preparar a transação (não foi possível satisfazer as dependências)
:: a instalação de dunst (1.4.1-1) quebra a dependência "dunstify" necessária por update-notifier

o que fazer nesse caso? ajuda por favor!!

#4 Re: Pacman, ABS, AUR & problemas de atualização » erro ao atualizar o pacman no manjaro » 18/07/2019 09:02:04

deu certo!! obrigado demais!!!

na verdade, agora eu to vendo que tá com outro problema, eu rodei o comando pacman -Syu depois de ter feito o -Sy
e aí começou a aparecer:
erro: falha ao preparar a transação (não foi possível satisfazer as dependências)
isso tanto no pacman como no gerenciador de programas, não sei se é pamac o nome, mas por exemplo, vc falou do yay, em vez do yaourt, eu fui no gerenciador de programas pra instalar esse yay e deu esse erro. também não tá atualizando mais:

pacman -Su
erro: não foi possível registrar a base de dados "archlinuxfr" (base de dados já registrada)
:: Iniciando atualização completa do sistema...
atenção: bubblewrap: local (0.3.3-2.1) é mais novo que extra (0.3.3-2)
atenção: cryptsetup: local (2.1.0-1.1) é mais novo que core (2.1.0-1)
atenção: dbus: local (1.12.16-1.2) é mais novo que core (1.12.16-1)
atenção: glibc: local (2.29-3.1) é mais novo que core (2.29-3)
atenção: lib32-glibc: local (2.29-3.1) é mais novo que core (2.29-3)
atenção: libnma: local (1.8.22-1.1) é mais novo que extra (1.8.22-1)
atenção: nm-connection-editor: local (1.8.22-1.1) é mais novo que extra (1.8.22-1)
atenção: os-prober: local (1.76-2) é mais novo que community (1.76-1)
atenção: parted: local (3.2-9.1) é mais novo que extra (3.2-9)
atenção: procps-ng: local (3.3.15-1.2) é mais novo que core (3.3.15-1)
atenção: qt5-base: local (5.13.0-7.1) é mais novo que extra (5.13.0-7)
atenção: tlp: local (1.2.2-1.1) é mais novo que community (1.2.2-1)
resolvendo dependências...
procurando por pacotes conflitantes...
erro: falha ao preparar a transação (não foi possível satisfazer as dependências)
:: a instalação de dunst (1.4.1-1) quebra a dependência "dunstify" necessária por update-notifier

não sei se continuamos nesse tópico ou se devo criar outro, diz aí...
não sei se tem como marcar o tópico como resolvido tbm...

#5 Re: Pacman, ABS, AUR & problemas de atualização » erro ao atualizar o pacman no manjaro » 17/07/2019 21:45:58

ok, deletei pelo terminal cat /etc/pacman.d/mirrorlist
mas aparentemente  continua a mesma coisa

é... ainda sem servidor configurado, não funcionou
olha, eu fui até o local do arquivo, /etc/pacman.d/  e tem um arquivo lá, mirrorlist, que não tem como apagar
eu não sei se a idéia era substituir esse arquivo pelo que eu criei, upmirrorlist, mas não rolou não

#6 Re: Pacman, ABS, AUR & problemas de atualização » erro ao atualizar o pacman no manjaro » 17/07/2019 14:18:01

ok, fiz assim e deu nisso:

Será feito um backup da mirrorlist em /etc/pacman.d/ com o nome "mirrolist.bkp".
Você quer mover o arquivo para a pasta "/etc/pacman.d/"? [S/n]
Criando backup.
[sudo] senha para abel:
Definindo permisão para 644.
Modificando nome do dono e do grupo para root.
Movendo arquivo.
Aguarde 5 segundos para o teste da mirrorlist.
Testando mirrorlist.
erro: não foi possível registrar a base de dados "archlinuxfr" (base de dados já registrada)
:: Sincronizando a base de dados de pacotes...
erro: falha ao atualizar core (nenhum servidor configurado para o repositório)
erro: falha ao atualizar extra (nenhum servidor configurado para o repositório)
erro: falha ao atualizar community (nenhum servidor configurado para o repositório)
erro: falha ao atualizar multilib (nenhum servidor configurado para o repositório)
erro: falha ao obter o arquivo "archlinuxfr.db" de repo.archlinux.fr : Resolving timed out after 10000 milliseconds
erro: falha ao atualizar archlinuxfr (erro na biblioteca de download)
erro: falha ao sincronizar todos as bases de dados
Você quer apagar o arquivo de backup ou restaurar a mirrolist? [A/r]A
Apagando o arquivo de backup em "/etc/pacman.d/".

agora não dá mais o erro de timed out after.... mas tá com esse erro do servidor:

[abel-pc abel]# pacman -Sy
erro: não foi possível registrar a base de dados "archlinuxfr" (base de dados já registrada)
:: Sincronizando a base de dados de pacotes...
erro: falha ao atualizar core (nenhum servidor configurado para o repositório)
erro: falha ao atualizar extra (nenhum servidor configurado para o repositório)
erro: falha ao atualizar community (nenhum servidor configurado para o repositório)
erro: falha ao atualizar multilib (nenhum servidor configurado para o repositório)
archlinuxfr está atualizado
erro: falha ao sincronizar todos as bases de dados


também quando eu vou instalar pelo Adicionar/remover programas fala que nenhum servidor configurado para o repositório

#7 Re: Pacman, ABS, AUR & problemas de atualização » erro ao atualizar o pacman no manjaro » 17/07/2019 10:57:11

swatquest escreveu:

faça o primeiro teste e veja se resolve.

acesse este link
https://forum.archlinux-br.org/viewtopic.php?id=4353

copie o conteúdo do script para um arquivo vazio

salve como upmirrolist ou outro nome que vc quiser.

dê a permissão de executar, via terminal

chmod +x upmirrolist

depois execute o arquivo, via terminal

sh upmirrolist

escolha os países que vc quer e passe o rankmirrors do script

no mova para /etc/pacman.d/

e apague o antigo.

depois de efetuado veja se resolve o problema


ok, fiz o arquivo e salvei como upmirrolist
depois fui pro terminal e executei, certo, ele me pediu pra escolher os países, eu não sabia o que escolher e como então pus assim: Escolha os países [ padrão=todos ]:8 19 31 64 63

aí de novo não sabia o que colocar, escrevi 5:
É recomendável utilizar o rankmirrors, pois ele determina a melhor conexão.
Você quer utilizar o script rankmirrors? [S/n]s
Qual a quantidade de servidores? [padrão 6, 0 para todos, máximo 999]5

aí deu nisso, e eu não sei o que fazer agora:

Qual a quantidade de servidores? [padrão 6, 0 para todos, máximo 999]5
Executando rankmirrors.
O processo pode demorar um pouco.
Version 4.14.2
USAGE:
pacman-mirrors [-h] [-f [NUMBER]] [-i [-d]] [-m METHOD]
        [-c COUNTRY [COUNTRY...] | [--geoip]]
        [-l] [-lc] [-q] [-t SECONDS] [-v] [-n]
        [--api] [-S/-B BRANCH] [-p PREFIX]
            [-P PROTO [PROTO...]] [-R] [-U URL]
rankmirrors: error: unrecognized arguments: 5 /tmp/all2
Rankmirrors finalizado.
Se for necessário, o comando sudo será utilizado.
Será feito um backup da mirrorlist em /etc/pacman.d/ com o nome "mirrolist.bkp".
Você quer mover o arquivo para a pasta "/etc/pacman.d/"? [S/n]s
Criando backup.
[sudo] senha para abel:
Definindo permisão para 644.
Modificando nome do dono e do grupo para root.
Movendo arquivo.
Aguarde 5 segundos para o teste da mirrorlist.
Testando mirrorlist.
erro: não foi possível registrar a base de dados "archlinuxfr" (base de dados já registrada)
:: Sincronizando a base de dados de pacotes...
erro: falha ao atualizar core (nenhum servidor configurado para o repositório)
erro: falha ao atualizar extra (nenhum servidor configurado para o repositório)
erro: falha ao atualizar community (nenhum servidor configurado para o repositório)
erro: falha ao atualizar multilib (nenhum servidor configurado para o repositório)
archlinuxfr está atualizado
erro: falha ao sincronizar todos as bases de dados
Você quer apagar o arquivo de backup ou restaurar a mirrolist? [A/r]^C


eu fiz alguma coisa errado? o que eu preciso fazer?

#8 Re: Pacman, ABS, AUR & problemas de atualização » erro ao atualizar o pacman no manjaro » 16/07/2019 09:39:13

[quote =swatquest]faz um teste


deixe apenas com

nameserver  8.8.8.8]

como se faz isso? foi mal aí, eu sou iniciante de tudo

a segunda parte tbm não peguei como faz, é pelo terminal ou eu tenho que procurar e editar um arquivo de texto?

#9 Re: Pacman, ABS, AUR & problemas de atualização » erro ao atualizar o pacman no manjaro » 15/07/2019 19:29:01

swatquest escreveu:

qual a saída do comando ?

cat /etc/resolv.conf


[[email protected] ~]$ cat /etc/resolv.conf
# Generated by NetworkManager
search meuintelbras.local
nameserver 10.0.0.1


é uma internet bem ruim, mas não tem como ser por causa disso
detalhe, isso tá acontecendo com qualquer coisa que eu instalo, ou seja, não tem como instalar porra nenhuma no manjaro

#10 Pacman, ABS, AUR & problemas de atualização » erro ao atualizar o pacman no manjaro » 15/07/2019 11:24:20

lebahevel
Respostas: 12

aprendi que tem tres comandos para atualizar o sistema no manjaro:

pacman -Sy = sincroniza os repositórios.
pacman -Su = procura por atualização.
pacman -Syu = sincroniza os repositórios/procura por atualização.

pois bem, quando eu rodo o primeiro comando acontece isso:

[abel-pc abel]# pacman -Sy
:: Sincronizando a base de dados de pacotes...
erro: falha ao obter o arquivo "core.db" de pet.inf.ufsc.br : Connection timed out after 10001 milliseconds
core está atualizado
erro: falha ao obter o arquivo "extra.db" de pet.inf.ufsc.br : Connection timed out after 10001 milliseconds
extra está atualizado
erro: falha ao obter o arquivo "community.db" de pet.inf.ufsc.br : Connection timed out after 10001 milliseconds
community está atualizado
erro: falha ao obter o arquivo "multilib.db" de pet.inf.ufsc.br : Connection timed out after 10001 milliseconds
multilib está atualizado
archlinuxfr está atualizado


ao segundo comando:

Tamanho total download:     20,09 MiB
Tamanho total instalado:  4579,84 MiB
Alteração no tamanho:    391,22 MiB

:: Continuar a instalação? [S/n] s
:: Obtendo pacotes...
erro: falha ao obter o arquivo "lib32-mesa-19.1.1-1-x86_64.pkg.tar.xz" de pet.inf.ufsc.br : Connection timed out after 10001 milliseconds
lib32-mesa-19.1.1-1...    12,1 MiB  49,8K/s 04:09 [######################] 100%
erro: falha ao obter o arquivo "lib32-libglvnd-1.1.1-1-x86_64.pkg.tar.xz" de pet.inf.ufsc.br : Connection timed out after 10000 milliseconds
lib32-libglvnd-1.1....   154,8 KiB  31,3K/s 00:05 [######################] 100%
erro: falha ao obter o arquivo "lib32-libva-2.4.0-1-x86_64.pkg.tar.xz" de pet.inf.ufsc.br : Connection timed out after 10001 milliseconds
lib32-libva-2.4.0-1...    65,8 KiB  49,1K/s 00:01 [######################] 100%
erro: falha ao obter o arquivo "lib32-libxt-1.2.0-1-x86_64.pkg.tar.xz" de pet.inf.ufsc.br : Connection timed out after 10000 milliseconds
lib32-libxt-1.2.0-1...   153,7 KiB  18,7K/s 00:08 [######################] 100%
erro: falha ao obter o arquivo "lib32-libxmu-1.1.3-1-x86_64.pkg.tar.xz" de pet.inf.ufsc.br : Connection timed out after 10001 milliseconds


  E isso acontece com todos os arquivos que ele tenta baixar, o interessante é que completou 100% do download, pq fala Connection timed out after 10000 milliseconds? só depois de completar 100% que dá esse erro

alguém tem idéia do que seja?
agradecido

Rodapé do site

Rodando com FluxBB